gsasl_encode_inline(3)

NAME
gsasl_encode_inline - API function

SYNOPSIS
#include <gsasl.h>

int gsasl_encode_inline(Gsasl_session * sctx, const char * input, size_t input_len, char * output, size_t * output_len);

ARGUMENTS

Gsasl_session * sctx
    libgsasl session handle.

const char * input
    input byte array.

size_t input_len
    size of input byte array.

char * output
    output byte array.

size_t * output_len
    size of output byte array.

DESCRIPTION
Encode data according to negotiated SASL mechanism. This might mean that data is integrity or privacy protected. Return value: Returns GSASL_OK if encoding was successful, otherwise an error code.

DEPRECATED
Use gsasl_encode() instead.

SINCE
0.2.0

REPORTING BUGS
Report bugs to <bug-gsasl@gnu.org>.
General guidelines for reporting bugs: http://www.gnu.org/gethelp/
GNU SASL home page: http://www.gnu.org/software/gsasl/

COPYRIGHT
Copyright © 2002-2019 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gsasl is maintained as a Texinfo manual. If the info and gsasl programs are properly installed at your site, the command

    info gsasl

should give you access to the complete manual. As an alternative you may obtain the manual from:

    http://www.gnu.org/software/gsasl/manual/